u08 eeprom_read(u08 address) {
  outp(address, EEARL);
  sbi(EECR, 0);
  while((inp(EECR) & 1)) { }
  return(inp(EEDR));
}

void eeprom_write(u08 address, u08 data) {
  while((inp(EECR) & 2)) { }
  outp(address, EEARL);
  outp(data, EEDR);
  sbi(EECR, 2);
  sbi(EECR, 1);
}
